<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'SolutionsVideoCard',
  props: {
    video: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="video_card__container">
    <iframe
      style="width: 100%; height: 100%"
      :src="video.video_url"
      title="YouTube video player"
      frameborder="0"
      allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
      allowfullscreen
    ></iframe>
    <img
      class="video_card__icon"
      src="/nuxt-images/icons/icon-webcast.svg"
      alt="video icon"
    />
    <div class="video_card__content">
      <SlpTypography tag="p" variant="all-caps" class="video_card__label">{{
        video.label
      }}</SlpTypography>
      <SlpTypography
        tag="h3"
        variant="heading4"
        class="title slp-text-align-center"
        >{{ video.title }}</SlpTypography
      >
    </div>
  </section>
</template>

<style lang="scss" scoped>
.video_card__container {
  box-shadow: 0px 2px 50px rgba($color-surface-700, 0.08);
  display: flex;
  flex-direction: column;
  width: 80%;
  position: relative;
  iframe {
    width: 100%;
    height: 150px;
  }
  &:hover {
    .title {
      color: rgb(125, 43, 217);
    }
  }
}

.video_card__icon {
  max-width: 40px;
  max-height: 40px;
  background-color: rgb(242, 242, 242);
  padding: 8px 9px 10px 9px;
  border-radius: 50px;
  position: absolute;
  top: 130px;
  left: 32px;
  display: inline;
}
.video_card__content {
  padding: 24px 32px;
}
.video_card__label {
  color: rgb(51, 51, 51);
}

.title {
  color: $color-text-300;
  margin: 20px 0 10px 0;
  text-align: left;
}
</style>
